Skip to main content
POST
/
companies
/
{company_id}
/
contacts
Search company contacts
curl --request POST \
  --url https://api.getpg.ai/v1/companies/{company_id}/contacts \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "page": 123,
  "per_page": 123,
  "name": "<string>",
  "job_title": "<string>",
  "location": "<string>",
  "linkedin_url": "<string>"
}
'
{}

Authorizations

X-Api-Key
string
header
required

Your API key for authentication. Get your API key from the PGAI dashboard.

Path Parameters

company_id
string
required

UUID of the company

Body

application/json
page
integer

Page number for pagination

per_page
integer

Results per page

name
string

Filter by contact name

job_title
string

Filter by job title

location
string

Filter by location

linkedin_url
string

Filter by LinkedIn URL

Response

Success - list of contacts with pagination

Response data